/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
import { isAdhocColumn, isPhysicalColumn } from '@superset-ui/core';


export default function displayTimeRelatedControls({
  controls
}) {
  if (!(controls != null && controls.x_axis)) {
    return true;
  }

  const xAxis = controls == null ? void 0 : controls.x_axis;
  const xAxisValue = xAxis == null ? void 0 : xAxis.value;
  if (isAdhocColumn(xAxisValue)) {
    return true;
  }
  if (isPhysicalColumn(xAxisValue)) {var _find, _xAxis$options;
    return !!((_find = ((_xAxis$options = xAxis == null ? void 0 : xAxis.options) != null ? _xAxis$options : []).find(
      (col) => (col == null ? void 0 : col.column_name) === xAxisValue
    )) != null && _find.is_dttm);
  }
  return false;
}
//# sourceMappingURL=displayTimeRelatedControls.js.map