/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
import { QueryColumn } from '@superset-ui/core';
import { ColumnMeta, SortSeriesData } from './types';
export declare const DEFAULT_MAX_ROW = 100000;
export declare const TIME_FILTER_LABELS: {
    time_range: string;
    granularity_sqla: string;
    time_grain_sqla: string;
    granularity: string;
};
export declare const COLUMN_NAME_ALIASES: Record<string, string>;
export declare const DATASET_TIME_COLUMN_OPTION: ColumnMeta;
export declare const QUERY_TIME_COLUMN_OPTION: QueryColumn;
export declare const QueryModeLabel: {
    aggregate: string;
    raw: string;
};
export declare const DEFAULT_SORT_SERIES_DATA: SortSeriesData;
export declare const SORT_SERIES_CHOICES: string[][];
export declare const DEFAULT_XAXIS_SORT_SERIES_DATA: SortSeriesData;
export declare const DEFAULT_DATE_PATTERN: RegExp;
export declare const INVALID_DATE = "Invalid date";
//# sourceMappingURL=constants.d.ts.map