import { isString } from 'lodash';
export const getTimeOffset = (series, timeCompare) => timeCompare.find(timeOffset => 
// offset is represented as <offset>, group by list
series.name.includes(`${timeOffset},`) ||
    // offset is represented as <metric>__<offset>
    series.name.includes(`__${timeOffset}`));
export const hasTimeOffset = (series, timeCompare) => isString(series.name) ? !!getTimeOffset(series, timeCompare) : false;
export const getOriginalSeries = (seriesName, timeCompare) => {
    let result = seriesName;
    timeCompare.forEach(compare => {
        // offset is represented as <offset>, group by list
        result = result.replace(`${compare},`, '');
        // offset is represented as <metric>__<offset>
        result = result.replace(`__${compare}`, '');
    });
    return result.trim();
};
//# sourceMappingURL=timeOffset.js.map