/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
import { ControlPanelState, ControlState, ControlStateMapping } from '../types';
export declare const contributionModeControl: {
    name: string;
    config: {
        type: string;
        label: string;
        default: null;
        choices: (string | null)[][];
        description: string;
    };
};
export declare const xAxisSortControl: {
    name: string;
    config: {
        type: string;
        label: (state: ControlPanelState) => string;
        description: string;
        shouldMapStateToProps: () => boolean;
        mapStateToProps: (state: ControlPanelState, controlState: ControlState) => {
            shouldReset: boolean;
            options: {
                value: string;
                label: string;
            }[];
        };
        visibility: ({ controls }: {
            controls: ControlStateMapping;
        }) => boolean;
    };
};
export declare const xAxisSortAscControl: {
    name: string;
    config: {
        type: string;
        label: (state: ControlPanelState) => string;
        default: boolean;
        description: string;
        visibility: ({ controls }: {
            controls: ControlStateMapping;
        }) => boolean;
    };
};
export declare const xAxisForceCategoricalControl: {
    name: string;
    config: {
        type: string;
        label: () => string;
        default: boolean;
        description: string;
        initialValue: (control: ControlState, state: ControlPanelState | null) => string | number | boolean | import("@superset-ui/core").JsonObject | null | undefined;
        renderTrigger: boolean;
        visibility: ({ controls }: {
            controls: ControlStateMapping;
        }) => boolean;
        shouldMapStateToProps: () => boolean;
    };
};
export declare const xAxisSortSeriesControl: {
    name: string;
    config: {
        type: string;
        freeForm: boolean;
        label: (state: ControlPanelState) => string;
        choices: string[][];
        default: import("../types").SortSeriesType;
        renderTrigger: boolean;
        description: string;
        visibility: ({ controls, }: {
            controls: ControlStateMapping;
        }) => boolean;
    };
};
export declare const xAxisSortSeriesAscendingControl: {
    name: string;
    config: {
        type: string;
        label: (state: ControlPanelState) => string;
        default: boolean;
        description: string;
        renderTrigger: boolean;
        visibility: ({ controls }: {
            controls: ControlStateMapping;
        }) => boolean;
    };
};
//# sourceMappingURL=customControls.d.ts.map