/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
export declare const PRIMARY_COLOR: {
    r: number;
    g: number;
    b: number;
    a: number;
};
type SelectDefaultOption = {
    label: string;
    value: string;
};
declare const _default: {
    metrics: import("../types").SelectControlConfig<import("../types").SelectOption, "MetricsControl"> | import("../types").BaseControlConfig<"DndMetricSelect", import("../types").SelectOption, import("@superset-ui/core").JsonValue>;
    metric: import("../types").BaseControlConfig<"DndMetricSelect", import("../types").SelectOption, import("@superset-ui/core").JsonValue>;
    datasource: import("../types").BaseControlConfig<"DatasourceControl", import("../types").SelectOption, import("@superset-ui/core").JsonValue>;
    viz_type: import("../types").BaseControlConfig<"VizTypeControl", import("../types").SelectOption, import("@superset-ui/core").JsonValue>;
    color_picker: import("../types").BaseControlConfig<"ColorPickerControl", import("../types").SelectOption, import("@superset-ui/core").JsonValue>;
    metric_2: import("../types").BaseControlConfig<"DndMetricSelect", import("../types").SelectOption, import("@superset-ui/core").JsonValue>;
    linear_color_scheme: import("../types").BaseControlConfig<"ColorSchemeControl", import("../types").SelectOption, import("@superset-ui/core").JsonValue>;
    secondary_metric: import("../types").BaseControlConfig<"DndMetricSelect", import("../types").SelectOption, import("@superset-ui/core").JsonValue>;
    groupby: import("../types").BaseControlConfig<"DndColumnSelect", import("../types").SelectOption, import("@superset-ui/core").JsonValue> | import("../types").SelectControlConfig<import("../types").ColumnMeta, "SelectControl">;
    columns: import("../types").BaseControlConfig<"DndColumnSelect", import("../types").SelectOption, import("@superset-ui/core").JsonValue>;
    granularity: import("../types").SelectControlConfig<import("../types").SelectOption, "SelectControl">;
    granularity_sqla: import("../types").BaseControlConfig<"DndColumnSelect", import("../types").SelectOption, import("@superset-ui/core").JsonValue>;
    time_grain_sqla: import("../types").SelectControlConfig<import("../types").SelectOption, "SelectControl">;
    time_range: import("../types").BaseControlConfig<"DateFilterControl", import("../types").SelectOption, import("@superset-ui/core").JsonValue>;
    row_limit: import("../types").SelectControlConfig<import("../types").SelectOption, "SelectControl">;
    limit: import("../types").SelectControlConfig<import("../types").SelectOption, "SelectControl">;
    timeseries_limit_metric: import("../types").SelectControlConfig<import("../types").SelectOption, "MetricsControl"> | import("../types").BaseControlConfig<"DndMetricSelect", import("../types").SelectOption, import("@superset-ui/core").JsonValue>;
    orderby: import("../types").SelectControlConfig<import("../types").SelectOption, "MetricsControl"> | import("../types").BaseControlConfig<"DndMetricSelect", import("../types").SelectOption, import("@superset-ui/core").JsonValue>;
    order_desc: import("../types").BaseControlConfig<"CheckboxControl", import("../types").SelectOption, import("@superset-ui/core").JsonValue>;
    series: import("../types").BaseControlConfig<"DndColumnSelect", import("../types").SelectOption, import("@superset-ui/core").JsonValue>;
    entity: import("../types").BaseControlConfig<"DndColumnSelect", import("../types").SelectOption, import("@superset-ui/core").JsonValue>;
    x: import("../types").BaseControlConfig<"DndMetricSelect", import("../types").SelectOption, import("@superset-ui/core").JsonValue>;
    y: import("../types").BaseControlConfig<"DndMetricSelect", import("../types").SelectOption, import("@superset-ui/core").JsonValue>;
    size: import("../types").BaseControlConfig<"DndMetricSelect", import("../types").SelectOption, import("@superset-ui/core").JsonValue>;
    y_axis_format: import("../types").SelectControlConfig<SelectDefaultOption, "SelectControl">;
    x_axis_time_format: import("../types").SelectControlConfig<SelectDefaultOption, "SelectControl">;
    adhoc_filters: import("../types").SelectControlConfig<import("../types").SelectOption, "AdhocFilterControl"> | import("../types").BaseControlConfig<"DndFilterSelect", import("../types").SelectOption, import("@superset-ui/core").JsonValue>;
    color_scheme: import("../types").BaseControlConfig<"ColorSchemeControl", import("../types").SelectOption, import("@superset-ui/core").JsonValue>;
    time_shift_color: import("../types").BaseControlConfig<"CheckboxControl", import("../types").SelectOption, import("@superset-ui/core").JsonValue>;
    series_columns: import("../types").BaseControlConfig<"DndColumnSelect", import("../types").SelectOption, import("@superset-ui/core").JsonValue>;
    series_limit: import("../types").SelectControlConfig<import("../types").SelectOption, "SelectControl">;
    series_limit_metric: import("../types").SelectControlConfig<import("../types").SelectOption, "MetricsControl"> | import("../types").BaseControlConfig<"DndMetricSelect", import("../types").SelectOption, import("@superset-ui/core").JsonValue>;
    legacy_order_by: import("../types").SelectControlConfig<import("../types").SelectOption, "MetricsControl"> | import("../types").BaseControlConfig<"DndMetricSelect", import("../types").SelectOption, import("@superset-ui/core").JsonValue>;
    truncate_metric: import("../types").BaseControlConfig<"CheckboxControl", import("../types").SelectOption, import("@superset-ui/core").JsonValue>;
    x_axis: import("../types").BaseControlConfig<"DndColumnSelect", import("../types").SelectOption, import("@superset-ui/core").JsonValue>;
    show_empty_columns: import("../types").BaseControlConfig<"CheckboxControl", import("../types").SelectOption, import("@superset-ui/core").JsonValue>;
    temporal_columns_lookup: import("../types").BaseControlConfig<"HiddenControl", import("../types").SelectOption, import("@superset-ui/core").JsonValue>;
    currency_format: import("../types").BaseControlConfig<"CurrencyControl", import("../types").SelectOption, import("@superset-ui/core").JsonValue>;
    sort_by_metric: import("../types").BaseControlConfig<"CheckboxControl", import("../types").SelectOption, import("@superset-ui/core").JsonValue>;
};
export default _default;
//# sourceMappingURL=sharedControls.d.ts.map